Bug 799741 - f17 yum update dependency problem between qt-mobility and gstreamer-plugins-bad-free over libgstphotography-0.10.so.0()(64bit)
f17 yum update dependency problem between qt-mobility and gstreamer-plugins-b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt-mobility (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 16:39 EST by Reartes Guillermo
Modified: 2014-01-21 18:21 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-05 18:24:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reartes Guillermo 2012-03-04 16:39:40 EST
Description of problem:

yum update fails reporting a dependecy problem on both test machines (one with rpmfusion repos and another without them). This issue is a couple of days old.

Version-Release number of selected component (if applicable):


How reproducible:
allwyas

Steps to Reproduce:
1. 'yum update' or 'yum clean metadata && yum update'
2. dependency problem
3. must use 'yum update --skip-broken' wich works as a workaround.
  
Actual results:
must use workaround to update distro

Expected results:
normal package update
Comment 1 Reartes Guillermo 2012-03-04 16:40:46 EST
Output form a F17a host without rpmfusion repos

# yum clean metadata && yum update
Loaded plugins: langpacks, presto, refresh-packagekit
Cleaning repos: fedora fedora-debuginfo updates updates-debuginfo updates-testing updates-testing-debuginfo
5 metadata files removed
1 sqlite file removed
0 metadata files removed
Loaded plugins: langpacks, presto, refresh-packagekit
fedora-debuginfo/metalink                                                                                                                        |  28 kB     00:00     
fedora-debuginfo                                                                                                                                 | 3.1 kB     00:00     
fedora-debuginfo/primary_db                                                                                                                      | 1.5 MB     00:25     
updates/metalink                                                                                                                                 |  49 kB     00:00     
updates                                                                                                                                          | 2.6 kB     00:00     
updates/primary_db                                                                                                                               | 1.2 kB     00:00     
updates-debuginfo/metalink                                                                                                                       |  41 kB     00:00     
updates-debuginfo                                                                                                                                | 2.6 kB     00:00     
updates-debuginfo/primary_db                                                                                                                     | 1.2 kB     00:00     
updates-testing/metalink                                                                                                                         |  38 kB     00:00     
updates-testing                                                                                                                                  | 4.5 kB     00:00     
updates-testing/primary_db                                                                                                                       | 2.1 MB     00:45     
updates-testing/group_gz                                                                                                                         | 425 kB     00:07     
updates-testing-debuginfo/metalink                                                                                                               |  35 kB     00:00     
updates-testing-debuginfo                                                                                                                        | 3.1 kB     00:00     
updates-testing-debuginfo/primary_db                                                                                                             | 155 kB     00:03     
fedora/metalink                                                                                                                                  |  31 kB     00:00     
fedora                                                                                                                                           | 4.2 kB     00:00     
fedora/primary_db                                                                                                                                |  14 MB     01:59     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package gstreamer-plugins-bad-free.x86_64 0:0.10.22-5.fc17 will be updated
--> Processing Dependency: libgstphotography-0.10.so.0()(64bit) for package: qt-mobility-1.2.0-6.20110922.fc17.x86_64
---> Package gstreamer-plugins-bad-free.x86_64 0:0.10.23-2.fc17 will be an update
--> Processing Dependency: libvdpau.so.1()(64bit) for package: gstreamer-plugins-bad-free-0.10.23-2.fc17.x86_64
--> Running transaction check
---> Package gstreamer-plugins-bad-free.x86_64 0:0.10.22-5.fc17 will be updated
--> Processing Dependency: libgstphotography-0.10.so.0()(64bit) for package: qt-mobility-1.2.0-6.20110922.fc17.x86_64
---> Package libvdpau.x86_64 0:0.4.1-5.fc17 will be installed
--> Finished Dependency Resolution
Error: Package: qt-mobility-1.2.0-6.20110922.fc17.x86_64 (@koji-override-0/$releasever)
           Requires: libgstphotography-0.10.so.0()(64bit)
           Removing: gstreamer-plugins-bad-free-0.10.22-5.fc17.x86_64 (@koji-override-0/$releasever)
               libgstphotography-0.10.so.0()(64bit)
           Updated By: gstreamer-plugins-bad-free-0.10.23-2.fc17.x86_64 (updates-testing)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 2 Reartes Guillermo 2012-03-04 16:41:15 EST
This is form a F17a host with rpmfusion repos.

# yum clean metadata
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Cleaning repos: fedora rpmfusion-free-rawhide rpmfusion-nonfree-rawhide updates updates-testing
33 metadata files removed
7 sqlite files removed
0 metadata files removed
[root@localhost ~]# yum update
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
fedora/metalink                                                                                                                                  |  31 kB     00:01     
fedora                                                                                                                                           | 4.2 kB     00:00     
fedora/primary_db                                                                                                                                |  14 MB     09:57     
fedora/group_gz                                                                                                                                  | 425 kB     00:20     
rpmfusion-free-rawhide                                                                                                                           | 1.2 kB     00:00     
rpmfusion-free-rawhide/primary                                                                                                                   | 172 kB     00:04     
rpmfusion-nonfree-rawhide                                                                                                                        | 1.2 kB     00:00     
rpmfusion-nonfree-rawhide/primary                                                                                                                |  66 kB     00:01     
updates/metalink                                                                                                                                 |  49 kB     00:00     
updates                                                                                                                                          | 2.6 kB     00:00     
updates/primary_db                                                                                                                               | 1.2 kB     00:00     
updates-testing/metalink                                                                                                                         |  38 kB     00:00     
updates-testing                                                                                                                                  | 4.5 kB     00:00     
updates-testing/primary_db                                                                                                                       | 2.1 MB     00:44     
updates-testing/group_gz                                                                                                                         | 425 kB     00:10     
rpmfusion-free-rawhide                                                                                                                                          429/429
rpmfusion-nonfree-rawhide                                                                                                                                       194/194
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package gstreamer-plugins-bad-free.x86_64 0:0.10.22-5.fc17 will be updated
--> Processing Dependency: libgstphotography-0.10.so.0()(64bit) for package: qt-mobility-1.2.0-6.20110922.fc17.x86_64
---> Package gstreamer-plugins-bad-free.x86_64 0:0.10.23-2.fc17 will be an update
---> Package libipa_hbac.x86_64 0:1.8.0-5.fc17.beta3.1 will be updated
---> Package libipa_hbac.x86_64 0:1.8.0-6.fc17 will be an update
---> Package libsss_sudo.x86_64 0:1.8.0-5.fc17.beta3.1 will be updated
---> Package libsss_sudo.x86_64 0:1.8.0-6.fc17 will be an update
---> Package sssd.x86_64 0:1.8.0-5.fc17.beta3.1 will be updated
---> Package sssd.x86_64 0:1.8.0-6.fc17 will be an update
---> Package sssd-client.x86_64 0:1.8.0-5.fc17.beta3.1 will be updated
---> Package sssd-client.x86_64 0:1.8.0-6.fc17 will be an update
---> Package sudo.x86_64 0:1.8.3p1-4.fc17 will be updated
---> Package sudo.x86_64 0:1.8.3p1-6.fc17 will be an update
--> Finished Dependency Resolution
Error: Package: qt-mobility-1.2.0-6.20110922.fc17.x86_64 (@koji-override-0/$releasever)
           Requires: libgstphotography-0.10.so.0()(64bit)
           Removing: gstreamer-plugins-bad-free-0.10.22-5.fc17.x86_64 (@koji-override-0/$releasever)
               libgstphotography-0.10.so.0()(64bit)
           Updated By: gstreamer-plugins-bad-free-0.10.23-2.fc17.x86_64 (updates-testing)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 3 Reartes Guillermo 2012-03-04 16:58:25 EST
On one system, this does not work, tried logout & login, even a reboot does not help. yum stops suddently for no reason.

# yum clean metadata && yum update --skip-broken
Loaded plugins: langpacks, presto, refresh-packagekit
Cleaning repos: fedora fedora-debuginfo updates updates-debuginfo updates-testing updates-testing-debuginfo
22 metadata files removed
6 sqlite files removed
0 metadata files removed
Loaded plugins: langpacks, presto, refresh-packagekit
fedora/metalink                                                                                                                                  |  31 kB     00:00     
fedora                                                                                                                                           | 4.2 kB     00:00     
fedora/primary_db                                                                                                                                |  14 MB     02:08     
fedora/group_gz                                                                                                                                  | 425 kB     00:05     
fedora-debuginfo/metalink                                                                                                                        |  28 kB     00:00     
fedora-debuginfo                                                                                                                                 | 3.1 kB     00:00     
fedora-debuginfo/primary_db                                                                                                                      | 1.5 MB     00:13     
updates/metalink                                                                                                                                 |  49 kB     00:00     
updates                                                                                                                                          | 2.6 kB     00:00     
updates/primary_db                                                                                                                               | 1.2 kB     00:00     
updates-debuginfo/metalink                                                                                                                       |  41 kB     00:00     
updates-debuginfo                                                                                                                                | 2.6 kB     00:00     
updates-debuginfo/primary_db                                                                                                                     | 1.2 kB     00:00     
updates-testing/metalink                                                                                                                         |  38 kB     00:00     
updates-testing                                                                                                                                  | 4.5 kB     00:00     
updates-testing/primary_db                                                                                                                       | 2.1 MB     00:18     
updates-testing/group_gz                                                                                                                         | 425 kB     00:03     
updates-testing-debuginfo/metalink                                                                                                               |  35 kB     00:00     
updates-testing-debuginfo                                                                                                                        | 3.1 kB     00:00     
updates-testing-debuginfo/primary_db                                                                                                             | 155 kB     00:02     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package gstreamer-plugins-bad-free.x86_64 0:0.10.22-5.fc17 will be updated
--> Processing Dependency: libgstphotography-0.10.so.0()(64bit) for package: qt-mobility-1.2.0-6.20110922.fc17.x86_64
---> Package gstreamer-plugins-bad-free.x86_64 0:0.10.23-2.fc17 will be an update
--> Processing Dependency: libvdpau.so.1()(64bit) for package: gstreamer-plugins-bad-free-0.10.23-2.fc17.x86_64
--> Running transaction check
---> Package gstreamer-plugins-bad-free.x86_64 0:0.10.22-5.fc17 will be updated
--> Processing Dependency: libgstphotography-0.10.so.0()(64bit) for package: qt-mobility-1.2.0-6.20110922.fc17.x86_64
---> Package libvdpau.x86_64 0:0.4.1-5.fc17 will be installed

Packages skipped because of dependency problems:
    gstreamer-plugins-bad-free-0.10.23-2.fc17.x86_64 from updates-testing
    libvdpau-0.4.1-5.fc17.x86_64 from fedora
Comment 4 James Antill 2012-03-05 16:12:49 EST
I assume qt-mobility can't do anything about this, but asking...
Comment 5 Kevin Kofler 2012-03-05 18:24:17 EST
A rebuilt qt-mobility is already included in the same Bodhi update group (FEDORA-2012-2823) as the offending gstreamer-plugins-bad-free update, they're both in updates-testing now (and will also hit stable together), so this should be all set as soon as your mirror syncs.

Note You need to log in before you can comment on or make changes to this bug.